MONGOC_TRANSACTION_OPTS_CLONE(3)

NAME
mongoc_transaction_opts_clone - mongoc_transaction_opts_clone()

SYNOPSIS

mongoc_transaction_opt_t *
mongoc_transaction_opts_clone (const mongoc_transaction_opt_t *opts)
   BSON_GNUC_WARN_UNUSED_RESULT;

Create a copy of a transaction options struct.

PARAMETERS

•   opts: A mongoc_transaction_opt_t.

RETURNS

A new mongoc_transaction_opt_t that must be freed with mongoc_transaction_opts_destroy().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc